.vt323-regular {
  font-family: "VT323", monospace;
  font-weight: 400;
  font-style: normal;
}
*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

/* BODY */

body{

  background:#050505;
  color:#00ff88;
  font-family: "VT323", monospace;
  min-height:100vh;

  /* efecto matrix */
  background-image:
    radial-gradient(#003b1f 1px, transparent 1px);

  background-size:20px 20px;
}

/* LINKS */

a{
  color:#66ffcc;
  text-decoration:none;
  
}

a:hover{
  color:#ffffff;
  text-shadow:0 0 8px #00ff88;
}

/* LAYOUT */

.container{
  width:95%;
  margin:auto;
  padding:20px;

  display:grid;
  gap:20px;

  grid-template-columns:
    220px
    1fr
    260px;

  grid-template-areas:
    "header header header"
    "left content right";
}

/* HEADER */

.header{
  grid-area:header;

  border:2px solid #00ff88;
  background:#0a0a0a;

  padding:25px;

  text-align:center;

  box-shadow:
    0 0 10px #00ff88;
}

.header h1{
  font-size:2.5rem;
  text-shadow:0 0 10px #00ff88;
}

.header p{
  margin-top:10px;
  opacity:0.8;
}

/* SIDEBARS */

.left{
  grid-area:left;
}

.right{
  grid-area:right;
}

.content{
  grid-area:content;
}

/* PANELS */

.panel{
  background:#0d0d0d;

  border:1px solid #00ff88;

  margin-bottom:20px;
  padding:15px;

  box-shadow:
    inset 0 0 10px rgba(0,255,136,.2),
    0 0 10px rgba(0,255,136,.2);
}

.panel h2{
  margin-bottom:15px;

  border-bottom:1px solid #00ff88;
  padding-bottom:10px;

  color:#99ffcc;
}

/* LISTAS */

ul{
  list-style:none;
}

li{
  margin:10px 0;
}

/* HERO */

.hero-content{
  display:flex;
  gap:20px;
  align-items:flex-start;
}

.hero img{
  width:300px;
  border:1px solid #00ff88;
  filter:grayscale(100%) contrast(120%);
}

/* POSTS */

.post{
  margin-bottom:20px;
  padding-bottom:15px;
  border-bottom:1px dashed #00ff88;
}

.post h3{
  margin-bottom:8px;
}

/* PERFIL */

.profile{
  text-align:center;
}

.avatar{
  width:120px;
  height:120px;
  border-radius:50%;
  border:2px solid #00ff88;
  margin-bottom:15px;
}

.nick{
font-family: VT323;
font-size:1.2rem;
  margin-bottom:10px;
}

/* RESPONSIVE */

@media(max-width:900px){

  .container{

    grid-template-columns:1fr;

    grid-template-areas:
      "header"
      "left"
      "content"
      "right";
  }

  .hero-content{
    flex-direction:column;
  }

  .hero img{
    width:100%;
  }

}